## org.eclipse.amp.amf.testing.parser.antlr
Class ATestParser

    java.lang.Object
      org.eclipse.xtext.parser.AbstractParser
          org.eclipse.xtext.parser.antlr.AbstractAntlrParser
              org.eclipse.amp.amf.testing.parser.antlr.ATestParser

All Implemented Interfaces:
  org.eclipse.xtext.parser.antlr.IAntlrParser, org.eclipse.xtext.parser.IParser

    public class ATestParser

extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.antlr.IAntlrParser
`org.eclipse.xtext.parser.antlr.IAntlrParser.NullParser`

Constructor Summary
`ATestParser()`

Method Summary
`ATestGrammarAccess` `getGrammarAccess()`
`void` `setGrammarAccess(ATestGrammarAccess grammarAccess)`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractAntlrParser
`doParse, doParse, getElementFactory, getLexerProvider, getPartialParser, getSyntaxErrorProvider, getTokenDefProvider, getUnorderedGroupHelper, parse, parse, setElementFactory, setLexerProvider, setPartialParser, setSyntaxErrorProvider, setTokenDefProvider, setUnorderedGroupHelper`

Methods inherited from class org.eclipse.xtext.parser.AbstractParser
`parse, parse, reparse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.xtext.parser.IParser
`parse, parse, reparse`

Constructor Detail

### ATestParser

    public ATestParser()

Method Detail

### getGrammarAccess

    public ATestGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(ATestGrammarAccess grammarAccess)